# Uses of Class
org.eclipse.net4j.util.event.PropertiesEvent

Packages that use PropertiesEvent
Package
Description
org.eclipse.net4j.util.event
A framework for sending of and listening to events.

## Uses of PropertiesEvent in org.eclipse.net4j.util.event

Methods in org.eclipse.net4j.util.event that return PropertiesEvent
Modifier and Type
Method
Description
`final <T> PropertiesEvent`
PropertiesEvent.`addProperty(Class<T> name, T value)`
`final PropertiesEvent`
PropertiesEvent.`addProperty(Object value)`
`final PropertiesEvent`
PropertiesEvent.`addProperty(String name, Object value)`
`PropertiesEvent`
PropertiesEvent.`fire()`
`final PropertiesEvent`
PropertiesEvent.`removeProperties(String... names)`
`final PropertiesEvent`
PropertiesEvent.`removeProperty(String name)`
`final PropertiesEvent`
PropertiesEvent.`setType(String type)`